<div class="card border-primary">
    <div class="card-body">
        <h5 class="card-title">{{moduleTitle}}</h5>
        <!-- SEARCH -->
        <div>
            <form>
                <div class="row" *ngIf="false">
                    <div class="col-md-3 mb-3">
                        <label for="brandCodeInput">Code</label>
                        <input type="text" class="form-control" id="brandCodeInput" [(ngModel)]='searchTerm.code'
                            name="searchCode" placeholder="Enter Code">
                    </div>
                    <div class="col-md-3 mb-3">
                        <label for="brandNameInput">Name</label>
                        <input type="text" class="form-control" id="brandNameInput" [(ngModel)]='searchTerm.name'
                            name="searchName" placeholder="Enter Name">
                    </div>
                    <div class="col-md-3 mb-3">
                        <label for="loookupDesctiptionInput">Description</label>
                        <input type="text" class="form-control" id="loookupDesctiptionInput"
                            [(ngModel)]='searchTerm.description' name="searchDescription"
                            placeholder="Enter Description">
                    </div>
                </div>
                <div class="btn-group" role="group">
                    <button type="button" (click)="onFilter()" class="btn mr-2 btn-outline-success btn-sm">Refresh <i
                            class="fa fa-search fa-lg"></i></button>
                    <!-- <button type="button" (click)="resetFilter()" class="btn mr-2 btn-outline-danger btn-sm">Reset <i
                            class="fa fa-refresh fa-lg"></i></button> -->
                    <button type="button" class="btn btn-outline-primary btn-sm" (click)="addNew()">Addnew
                        <i class="fa fa-plus-circle fa-lg"></i></button>
                </div>

            </form>
        </div
        >
        <br>
        <div style="height:400px; padding: 15px 15px 15px 15px; ">
            <table class="table table-sm table-hover table-striped">
                <thead>
                    <tr>
                        <th></th>
                        <th scope="col">Order No</th>
                        <th scope="col" class='centerText' >Date</th>
                        <th scope="col">Customer</th>
                        <th scope="col" class='centerText' >Status</th>
                        <th scope="col" class='centerText' >Type</th>
                        <th scope="col" class='rightText' >Total</th>
                        <th scope="col" class='centerText'>Update by</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let salesOrder of salesOrders">
                        <td>
                            <button type="button" (click)="open(salesOrder)" class="btn btn-outline-warning btn-sm">
                                <i class="fa fa-list fa-lg"></i>
                            </button>
                        </td>
                        <td>{{salesOrder.salesOrderNo}}</td>
                        <td class='centerText' >{{salesOrder.orderDate | date:'dd-MMM-yyyy'}}</td>
                        <td>{{salesOrder.customer.name }}</td>
                        <td class='centerText' >{{getStatus(salesOrder.status)}} </td>
                        <td class='centerText' >{{salesOrder.isCash === true ? 'Cash' : 'Non Cash'}}</td>
                        <td class='rightText'>{{salesOrder.grandTotal | number:'0.0-0' }}</td>
                        <td class='centerText'>{{salesOrder.lastUpdateBy}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <ngb-pagination size="sm" [collectionSize]="totalData" [(page)]="curPage" [maxSize]="totalRecord"
            (pageChange)="loadPage()" [boundaryLinks]="true">
        </ngb-pagination>
    </div>

</div>